package com.gic.evaluate.service;

import com.gic.evaluate.entity.TabEvaluateMsgLog;

import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2020/2/6 13:41
 */
public interface EvaluateMsgLogService {
    void save(TabEvaluateMsgLog evaluateMsgLog);

    TabEvaluateMsgLog getByOrderId(Long orderId);

    List<TabEvaluateMsgLog> listFirstMsgLogs(Integer enterpriseId);

    List<TabEvaluateMsgLog> listSecondMsgLogs(Integer enterpriseId);

    List<TabEvaluateMsgLog> listReviewMsgLogs(Integer enterpriseId);

    void update(TabEvaluateMsgLog log);

    Map<Integer,Map<String,Object>> orderCountByStoreId(Integer enterpriseId, List<Integer> storeIdList);

    List<Map<String, Object>> listTrendOrderCount(Integer enterpriseId, String startTime, String endTime, List<Integer> storeIdList);
}
